Uploaded image for project: 'OpenIDM'
  1. OpenIDM
  2. OPENIDM-15510

inaccurate statement regarding encrypted properties during upgrade

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 7.0.0
    • Fix Version/s: 7.1.0, 7.0.1
    • Component/s: documentation
    • Labels:
      None
    • Target Version/s:
    • Verified Version/s:
    • Story Points:
      0.5
    • Sprint:
      2020.13 - IDM

      Description

      Step 2 here says that customers should decrypt obfuscated values into plain text before starting an upgrade.

      This statement is no longer accurate. In general, when you upgrade, you must retain the keystore/truststore in openidm/security so that you can continue to decrypt existing values in config and in the database.

      Fix on master and in the 7.0 docs.

        Attachments

          Activity

            People

            • Assignee:
              Lana Lana Frost
              Reporter:
              Lana Lana Frost
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: